/*
 * Copyright (c) 2022 MiLaboratories Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.milaboratory.util;

import org.apache.commons.io.FileUtils;
import org.junit.Test;

import java.io.File;
import java.nio.charset.Charset;

public class RemoveActionTest {
    @Test
    public void test1() throws Exception {
        File tempDir = TempFileManager.getTempDir();
        FileUtils.write(tempDir.toPath().resolve("figure").toFile(), "sadfasf", Charset.forName("US-ASCII"));
        System.out.println(tempDir);
    }

    @Test
    public void test2() throws Exception {
        File tempFile = TempFileManager.getTempFile();
        FileUtils.write(tempFile, "sadfasf", Charset.forName("US-ASCII"));
        System.out.println(tempFile);
    }
}